Bug 1701823 - ironic_conductor container is missing udevadm
Summary: ironic_conductor container is missing udevadm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 15.0 (Stein)
Hardware: ppc64le
OS: Linux
high
high
Target Milestone: rc
: 15.0 (Stein)
Assignee: Tony Breeds
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks: 1667964
TreeView+ depends on / blocked
 
Reported: 2019-04-22 05:56 UTC by Tony Breeds
Modified: 2019-09-26 10:49 UTC (History)
8 users (show)

Fixed In Version: openstack-ironic-12.1.2-0.20190702230407.79279dd.1.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:21:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1825784 0 None None None 2019-04-22 06:17:55 UTC
OpenStack gerrit 655688 0 None MERGED Install udevadm in ironic-conductor image 2020-06-24 19:03:18 UTC
RDO 21171 0 None rpm-master: MERGED openstack/ironic-distgit: Add udev as a requirement for ironic-conductor (I537737100acd6d5cd5971d8b6292e45dff05841b) 2019-07-02 23:03:49 UTC
RDO 21259 0 None stein-rdo: NEW openstack/ironic-distgit: Add udev as a requirement for ironic-conductor (I537737100acd6d5cd5971d8b6292e45dff05841b) 2019-07-02 23:04:05 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:48 UTC

Description Tony Breeds 2019-04-22 05:56:13 UTC
Description of problem:  When trying to deploy to ppc64le machoines (or others with iscsi based deploys?) the deploy fails with:

2019-04-15 04:30:04.882 8 ERROR ironic.drivers.modules.agent_base_vendor [req-e243d083-6f71-4213-8bde-ca7dfc84b796 - - - - -] Asynchronous exception: Node failed to deploy. Exception: Deploy failed for instance c2f32b88-089a-4e9b-aa13-6b34b3e18fc6. Error: Failed to create config drive on disk /dev/disk/by-path/ip-192.168.0.124:3260-iscsi-iqn.2008-10.org.openstack:180cac51-9320-4c58-b95a-962f6a3532c7-lun-1 for node 180cac51-9320-4c58-b95a-962f6a3532c7. Error: [Errno 2] No such file or directory: 'udevadm': 'udevadm' for node 180cac51-9320-4c58-b95a-962f6a3532c7: ironic.common.exception.InstanceDeployFailure: Deploy failed for instance c2f32b88-089a-4e9b-aa13-6b34b3e18fc6. Error: Failed to create config drive on disk /dev/disk/by-path/ip-192.168.0.124:3260-iscsi-iqn.2008-10.org.openstack:180cac51-9320-4c58-b95a-962f6a3532c7-lun-1 for node 180cac51-9320-4c58-b95a-962f6a3532c7. Error: [Errno 2] No such file or directory: 'udevadm': 'udevadm'


This comes from:
https://review.opendev.org/#/q/I9db48a3462422749290bbb887c14816734ab0478

The fix is to add systemd/system-udev into the container

Comment 2 Bob Fournier 2019-06-14 21:28:32 UTC
I believe this has been resolve by Marc Goddard's fix - https://review.opendev.org/#/c/655688/.

Comment 3 Bob Fournier 2019-06-14 21:57:51 UTC
Note that the requirement to use udevadm is not new, its been in ironic-lib since 2017 with this patch [1].  There doesn't seem to be any issues with x86 on rhel-8 or earlier, only with ppc, but again I believe that the patch in kolla resolves this.

[1] https://review.opendev.org/#/c/446950/8/ironic_lib/disk_utils.py

Comment 15 Alistair Tonner 2019-07-12 17:57:38 UTC
[stack@undercloud-0 ~]$ cat core_puddle_version
RHOS_TRUNK-15.0-RHEL-8-20190708.n.2

[stack@undercloud-0 ~]$ sudo podman ps | grep ironic_conductor
c2c7f39ed5e7  192.168.24.1:8787/rhosp15/openstack-ironic-conductor:20190708.1           dumb-init --singl...  2 days ago  Up 2 days ago         ironic_conductor

[stack@undercloud-0 ~]$ sudo podman images | grep openstack-ironic-conductor
192.168.24.1:8787/rhosp15/openstack-ironic-conductor            20190708.1   99136cbffa8f   3 days ago   865 MB

[stack@undercloud-0 ~]$ sudo podman exec -it --user root ironic_conductor ls -ld /usr/bin/udevadm
-rwxr-xr-x. 1 root root 532488 May  2 07:17 /usr/bin/udevadm
[stack@undercloud-0 ~]$


udevadm is present in x86_64

Comment 19 errata-xmlrpc 2019-09-21 11:21:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.